RELEASE_NAME = "Red Hat Enterprise Linux"
RELEASE_SHORT = "RHEL"
RELEASE_VERSION_X = "9"
RELEASE_VERSION_Y = "7"
RELEASE_VERSION_Z = "0"
RELEASE_VERSION_XY = "%s.%s" % (RELEASE_VERSION_X, RELEASE_VERSION_Y)
RELEASE_VERSION_XYZ = "%s.%s.%s" % (RELEASE_VERSION_X, RELEASE_VERSION_Y, RELEASE_VERSION_Z)
RELEASE_VERSION = RELEASE_VERSION_XYZ


COMPS_REPO = "https://gitlab.com/redhat/centos-stream/release-engineering/comps.git"
COMPS_BRANCH = "main"
COMPS_FILE = "comps-centos-stream-9.xml"
COMPS_COMMAND = "make comps-centos-stream-9.xml DISTRO=rhel"


MODULE_DEFAULTS_REPO = "https://gitlab.cee.redhat.com/rhel/release-engineering/redhat-module-defaults.git"
MODULE_DEFAULTS_BRANCH = "rhel-9.7"


VARIANTS_SCM = "git"
VARIANTS_REPO = "https://gitlab.com/redhat/centos-stream/release-engineering/pungi-centos.git"
VARIANTS_BRANCH = "centos-9-stream"
VARIANTS_FILE = "variants.xml"


GATHER_PREPOPULATE_REPO = "https://gitlab.com/redhat/centos-stream/release-engineering/pungi-centos.git"
GATHER_PREPOPULATE_BRANCH = "centos-9-stream"
GATHER_PREPOPULATE_FILE = "prepopulate.json"
GATHER_PREPOPULATE_COMMAND = ""

RUNROOT_CHANNEL = "rhel9"
RUNROOT_TAG = "rhel-%s-build" % RELEASE_VERSION_XYZ


PKGSET_KOJI_TAG = "rhel-%s-et-compose" % RELEASE_VERSION_XYZ
PKGSET_KOJI_MODULE_TAG = "rhel-%s-modules-et-compose" % RELEASE_VERSION_XYZ


EXTRA_FILES = [
    {
        "scm": "git",
        "repo": "https://pkgs.devel.redhat.com/git/rpms/rhelfiles",
        "branch": "rhel-%s" % RELEASE_VERSION_XYZ, # defaults to cvs/HEAD or git/master
        "file": [
            "RPM-GPG-KEY-redhat-release",
            "RPM-GPG-KEY-redhat-beta",
            "GPL",
            "EULA",
        ],
        "target": "",
    },
]

EXTRA_BUILDINSTALL_SKIP = ('^BaseOS$', {
    'i386': True,
})

EXTRA_ISOS_ARCHES = ['aarch64', 'ppc64le', 's390x', 'x86_64']
